apiDeterministic
Update content collection
PATCH /api/v1/content/collections
Rename a collection or add/remove up to twenty saved references. Membership retries are idempotent.
Parameters
workspaceId
string
No description.
idrequired
string
No description.
name
string
No description.
addExampleIds
string[]
No description.
removeExampleIds
string[]
No description.
Example
REST requestbash
curl -X PATCH "https://app.pipeline.help/api/v1/content/collections" \-H "Authorization: Bearer $PIPELINE_API_KEY" \-H "Content-Type: application/json" \-d '{"id":"00000000-0000-4000-8000-000000000001","name":"Question-led references"}'
Response
Success response schemajson schema
{"type": "object","properties": {"data": {"type": "object"}}}
HTTP errors
- 401
- Missing or invalid API key.
- 403
- Authenticated but not permitted for the workspace or resource.
- 404
- The requested resource was not found.